Bug 862373 - [abrt] evince-3.4.0-2.fc17: main_arena: Process /usr/bin/evince-previewer was killed by signal 11 (SIGSEGV)
[abrt] evince-3.4.0-2.fc17: main_arena: Process /usr/bin/evince-previewer was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:c475de5192c08e7d6eccae78816...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 14:18 EDT by Robert Kief
Modified: 2013-08-01 03:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.93 KB, text/plain)
2012-10-02 14:18 EDT, Robert Kief
no flags Details
File: environ (1.45 KB, text/plain)
2012-10-02 14:18 EDT, Robert Kief
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-02 14:18 EDT, Robert Kief
no flags Details
File: backtrace (83.56 KB, text/plain)
2012-10-02 14:18 EDT, Robert Kief
no flags Details
File: cgroup (131 bytes, text/plain)
2012-10-02 14:18 EDT, Robert Kief
no flags Details
File: maps (34.61 KB, text/plain)
2012-10-02 14:18 EDT, Robert Kief
no flags Details
File: dso_list (6.47 KB, text/plain)
2012-10-02 14:18 EDT, Robert Kief
no flags Details
File: var_log_messages (162 bytes, text/plain)
2012-10-02 14:18 EDT, Robert Kief
no flags Details
File: open_fds (509 bytes, text/plain)
2012-10-02 14:18 EDT, Robert Kief
no flags Details

  None (edit)
Description Robert Kief 2012-10-02 14:18:22 EDT
Description of problem:
I'd just finished updated my system and noticed that my keyboard didn't function anymore.  This has happened before so I restarted my PC.  After the restart, the Auto. Bug Reporting Tool icon appeared.

Version-Release number of selected component:
evince-3.4.0-2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        evince-previewer --print-settings /tmp/settingsMH09KW.ini --unlink-tempfile /tmp/previewPCVMLW.pdf
crash_function: main_arena
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 main_arena at /lib64/libc.so.6
: #1 _pixman_image_fini at pixman-image.c:144
: #2 pixman_image_unref at pixman-image.c:214
: #3 _composite_glyphs_via_mask at cairo-image-surface.c:3927
: #4 _clip_and_composite at cairo-image-surface.c:2325
: #5 _cairo_image_surface_glyphs at cairo-image-surface.c:4071
: #6 _cairo_surface_show_text_glyphs at cairo-surface.c:2640
: #8 _cairo_gstate_show_text_glyphs at cairo-gstate.c:1981
: #9 cairo_show_glyphs at cairo.c:3509
: #11 CairoOutputDev::endString at CairoOutputDev.cc:1186
Comment 1 Robert Kief 2012-10-02 14:18:24 EDT
Created attachment 620420 [details]
File: core_backtrace
Comment 2 Robert Kief 2012-10-02 14:18:26 EDT
Created attachment 620421 [details]
File: environ
Comment 3 Robert Kief 2012-10-02 14:18:27 EDT
Created attachment 620422 [details]
File: limits
Comment 4 Robert Kief 2012-10-02 14:18:30 EDT
Created attachment 620423 [details]
File: backtrace
Comment 5 Robert Kief 2012-10-02 14:18:31 EDT
Created attachment 620424 [details]
File: cgroup
Comment 6 Robert Kief 2012-10-02 14:18:33 EDT
Created attachment 620425 [details]
File: maps
Comment 7 Robert Kief 2012-10-02 14:18:35 EDT
Created attachment 620426 [details]
File: dso_list
Comment 8 Robert Kief 2012-10-02 14:18:36 EDT
Created attachment 620427 [details]
File: var_log_messages
Comment 9 Robert Kief 2012-10-02 14:18:38 EDT
Created attachment 620428 [details]
File: open_fds
Comment 10 Marek Kašík 2012-10-03 11:36:08 EDT
This look like a problem in cairo or pixman. I'm reassigning this to cairo.
Comment 11 Fedora End Of Life 2013-07-03 22:14:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 03:48:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.